Index: cacao-trunk/src/vm/properties.c
===================================================================
--- cacao-trunk.orig/src/vm/properties.c	2007-08-31 13:28:53.000000000 +0200
+++ cacao-trunk/src/vm/properties.c	2007-09-03 00:36:14.000000000 +0200
@@ -294,14 +294,14 @@
 		len =
 			strlen(CACAO_VM_ZIP) +
 			strlen(":") +
-			strlen(CLASSPATH_CLASSES) +
+			strlen(TARGET_CLASSPATH_CLASSES) +
 			strlen("0");
 
 		boot_class_path = MNEW(char, len);
 
 		strcpy(boot_class_path, CACAO_VM_ZIP);
 		strcat(boot_class_path, ":");
-		strcat(boot_class_path, CLASSPATH_CLASSES);
+		strcat(boot_class_path, TARGET_CLASSPATH_CLASSES);
 
 # elif defined(WITH_CLASSPATH_SUN)
 
Index: cacao-trunk/configure.ac
===================================================================
--- cacao-trunk.orig/configure.ac	2007-08-31 13:22:03.000000000 +0200
+++ cacao-trunk/configure.ac	2007-08-31 13:30:44.000000000 +0200
@@ -851,6 +851,7 @@
 AC_CHECK_WITH_CLASSPATH
 AC_CHECK_WITH_CLASSPATH_PREFIX
 AC_CHECK_WITH_CLASSPATH_CLASSES
+AC_CHECK_WITH_TARGET_CLASSPATH_CLASSES
 AC_CHECK_WITH_CLASSPATH_LIBDIR
 AC_CHECK_WITH_CLASSPATH_INCLUDEDIR
 
Index: cacao-trunk/m4/classpath.m4
===================================================================
--- cacao-trunk.orig/m4/classpath.m4	2007-08-31 13:22:21.000000000 +0200
+++ cacao-trunk/m4/classpath.m4	2007-08-31 13:30:55.000000000 +0200
@@ -98,6 +98,18 @@
 AC_SUBST(CLASSPATH_CLASSES)
 ])
 
+dnl where are Java core library classes installed on the target
+
+AC_DEFUN([AC_CHECK_WITH_TARGET_CLASSPATH_CLASSES],[
+AC_MSG_CHECKING(where Java core library classes are installed on the target)
+AC_ARG_WITH([target-classpath-classes],
+            [AS_HELP_STRING(--with-target-classpath-classes=<path>,path to Java core library classes (includes the name of the file and may be flat) [[default=/usr/local/classpath/share/classpath/glibj.zip]])],
+            [TARGET_CLASSPATH_CLASSES=${withval}],
+            [TARGET_CLASSPATH_CLASSES=${CLASSPATH_PREFIX}/share/classpath/glibj.zip])
+AC_MSG_RESULT(${TARGET_CLASSPATH_CLASSES})
+AC_DEFINE_UNQUOTED([TARGET_CLASSPATH_CLASSES], "${TARGET_CLASSPATH_CLASSES}", [Java core library classes on the target])
+AC_SUBST(TARGET_CLASSPATH_CLASSES)
+])
 
 dnl where are Java core library native libraries installed
 
